#if TOOLS
using Godot;

[Tool]
public partial class Plugin : EditorPlugin
{
	private FlatModsInspector _plugin;

	public override void _EnterTree()
	{
		_plugin = new FlatModsInspector();
		AddInspectorPlugin(_plugin);
	}

	public override void _ExitTree()
	{
		RemoveInspectorPlugin(_plugin);
	}
}
#endif
